Package gov.nasa.gsfc.sscweb.schema

# Class QueryResult

java.lang.Object
gov.nasa.gsfc.sscweb.schema.Result
gov.nasa.gsfc.sscweb.schema.AbstractResult
gov.nasa.gsfc.sscweb.schema.QueryResult

Direct Known Subclasses:
  `QueryDataResult`, `QueryFileResult`

public class QueryResult extends AbstractResult
Query result. <p>Java class for QueryResult complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="QueryResult"> <complexContent> <extension base="{http://sscweb.gsfc.nasa.gov/schema}AbstractResult"> <sequence> <element name="QueryRequest" type="{http://sscweb.gsfc.nasa.gov/schema}QueryRequestType" minOccurs="0"/> </sequence> </extension> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected QueryRequestType`
  `queryRequest`
  Original query request.

  ### Fields inherited from class gov.nasa.gsfc.sscweb.schema.Result

  `statusCode, statusSubCode, statusText`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `QueryResult()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `QueryRequestType`
  `getQueryRequest()`
  Original query request.
  `void`
  `setQueryRequest(QueryRequestType value)`
  Sets the value of the queryRequest property.

  ### Methods inherited from class gov.nasa.gsfc.sscweb.schema.Result

  `getStatusCode, getStatusSubCode, getStatusText, setStatusCode, setStatusSubCode`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### queryRequest

    protected QueryRequestType queryRequest
    Original query request. Only include if original request set QueryRequest/ResultOptions/IncludeQueryInResult to true.

- ## Constructor Details

  - ### QueryResult

    public QueryResult()

- ## Method Details

  - ### getQueryRequest

    public QueryRequestType getQueryRequest()
    Original query request. Only include if original request set QueryRequest/ResultOptions/IncludeQueryInResult to true.
    Returns:
      possible object is `QueryRequestType`

  - ### setQueryRequest

    public void setQueryRequest(QueryRequestType value)
    Sets the value of the queryRequest property.
    Parameters:
      `value` - allowed object is `QueryRequestType`
    See Also:
      - `getQueryRequest()`